# calculatePagesNumber

fun calculatePagesNumber (datasetSize: Long , pageSize: Int ): Int (source)
fun calculatePagesNumber (datasetSize: Int , pageSize: Int ): Int (source)

Calculates pages count for given datasetSize

fun calculatePagesNumber (pageSize: Int , datasetSize: Long ): Int (source)

Calculates pages count for given datasetSize. As a fact, it is shortcut for calculatePagesNumber

#### Return

calculated page number which can be correctly used in PaginationResult as PaginationResult.page value